Get template
curl --request GET \
--url https://api.e2b.app/templates/{templateID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/templates/{templateID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/templates/{templateID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templateID": "<string>",
"public": true,
"aliases": [
"<string>"
],
"names": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastSpawnedAt": "2023-11-07T05:31:56Z",
"spawnCount": 123,
"builds": [
{
"buildID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "building",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"cpuCount": 2,
"memoryMB": 129,
"finishedAt": "2023-11-07T05:31:56Z",
"diskSizeMB": 1,
"envdVersion": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Templates
Get template
List all builds for a template
GET
/
templates
/
{templateID}
Get template
Authorizations
Path Parameters
Query Parameters
Cursor to start the list from
Maximum number of items to return per page
Required range:
1 <= x <= 100Response
Successfully returned the template with its builds
Identifier of the template
Whether the template is public or only accessible by the team
Aliases of the template
Names of the template (namespace/alias format when namespaced)
Time when the template was created
Time when the template was last updated
Time when the template was last used
Number of times the template was used
List of builds for the template
Show child attributes
Show child attributes
Was this page helpful?